PETSc version 3.17.4
Fix/Edit manual page

# PetscSectionGetFieldConstraintIndices

Get the field dof numbers, in [0, fdof), which are constrained

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetFieldConstraintIndices(PetscSection s, PetscInt point, PetscInt field, const PetscInt **indices)

Not Collective

### Input Parameters

| s | - The PetscSection
| field | - The field number
| point | - The point

### Output Parameter

| indices | - The constrained dofs sorted in ascending order

### Notes

The indices array, which is provided by the caller, must have capacity to hold the number of constrained dofs, e.g., as returned by PetscSectionGetConstraintDof().

### Fortran Note

In Fortran, you call PetscSectionGetFieldConstraintIndicesF90() and PetscSectionRestoreFieldConstraintIndicesF90()

### See Also

PetscSectionSetFieldConstraintIndices(), PetscSectionGetConstraintIndices(), PetscSectionGetConstraintDof(), PetscSection

### Level

intermediate

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages